summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-01-07 08:37:58 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-01-07 08:37:58 +0100
commitbffe66917b9622b6c45703cce56b333a18071743 (patch)
tree211b24ff766eba602a4fa1d05791bec9fddd5207
parentmedia-video/ffmpeg: check -flto* for enabling lto, instead of only flto. Bug ... (diff)
downloadgentoo-bffe66917b9622b6c45703cce56b333a18071743.tar.gz
gentoo-bffe66917b9622b6c45703cce56b333a18071743.tar.bz2
gentoo-bffe66917b9622b6c45703cce56b333a18071743.zip
media-video/dvdstyler: bump to 2.9.6
Package-Manager: portage-2.2.26 Signed-off-by: Alexis Ballier <aballier@gentoo.org>
-rw-r--r--media-video/dvdstyler/Manifest1
-rw-r--r--media-video/dvdstyler/dvdstyler-2.9.6.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/media-video/dvdstyler/Manifest b/media-video/dvdstyler/Manifest
index a91f2f02987..abf606a2bf7 100644
--- a/media-video/dvdstyler/Manifest
+++ b/media-video/dvdstyler/Manifest
@@ -3,3 +3,4 @@ DIST DVDStyler-2.9.2.tar.bz2 7861116 SHA256 88abd17b0dcdfccbdfffe6e80bcfa59df023
DIST DVDStyler-2.9.3.tar.bz2 7861272 SHA256 ffbc22454e210ba8fcad9a7954b426d9dc5ff933527a6e39391d310101128c39 SHA512 c39a1c08ea5e86e05c25443685524c61c26a5fe11e66240884db6b54c117f1cc446634145bc99673eb7de2ed44e3d03277686470dfde3ab78a5943b2667e7b73 WHIRLPOOL d08202272c5ec9fbaec7b049e854cdb413a929b59ee047a99a4d70699f80a2a0a47786335a9bc05d8d7ca905f9137d4f81bc31fd56a78943c71b169999cc0cd3
DIST DVDStyler-2.9.4.tar.bz2 7863263 SHA256 8b15ec98e3e5ec8c5a1f23eee316f646476e76b86b80d44b7c842887946a39e0 SHA512 8ef8e0241f31957b6c1695876a2067510750b3e997d57c688ceed640110488c2989af12d23147a5b439625cafc5bf7f2d3a8cdda8304b96555f48b6f5553cde4 WHIRLPOOL 07f3a96f83e0d7bbaea4cf01f9c440d63590f632de3ebbb516d7551ced21c9597790149f252f517f627c5d8800e5a1d8737ad15a015eb1f76e7fef4d7dc15dbf
DIST DVDStyler-2.9.5.tar.bz2 7864947 SHA256 4717a58fc5980e1007624be7c14ebb8b1ace7839ad38fe7fbfdc0db4e26d3e1b SHA512 fef02eb3a10b46fe6345610aa49e40a8a47e8a4fce35541f23762e75546788ab628ad70a76bf9362bdd5161101ac6be8057222f4bdcc84fb9f1eb49042de1526 WHIRLPOOL 70ffac3ca9ca9c1b38224f66a32d893ab1c92f3129be815d7b4cfec0cebf53098cee3f7169ddc942f58efc1268ea8553a3444df63a69e307df2d4a0851bd1edf
+DIST DVDStyler-2.9.6.tar.bz2 8373340 SHA256 d9ac1c2fa8812c194d4a79a5954f96919a4823498a4200018964df549270c6e3 SHA512 7e45a61ecc5df29957c6ff71bf7d5032bc1cba3b43b8444f7cd065aabf3991961f998e220d41c05c3d4e9a3bc213c96bc484b467a40d1b10ab33630ea4cbbcea WHIRLPOOL d7b6f714fcde76c74f5f4dee66918ddfb17066f85147a7efd355fe19d057d3c56bf0f1116595cfa361b09f1d82ebc09ab0fad6f5fc8ab029df01a9abe267b564
diff --git a/media-video/dvdstyler/dvdstyler-2.9.6.ebuild b/media-video/dvdstyler/dvdstyler-2.9.6.ebuild
new file mode 100644
index 00000000000..b5f8e7b8b70
--- /dev/null
+++ b/media-video/dvdstyler/dvdstyler-2.9.6.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MY_P=${P/dvds/DVDS}
+WX_GTK_VER=3.0
+
+inherit wxwidgets eutils
+
+DESCRIPTION="A cross-platform free DVD authoring application"
+HOMEPAGE="http://www.dvdstyler.org/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug libav +udev"
+
+COMMON_DEPEND=">=app-cdr/dvd+rw-tools-7.1
+ media-libs/libexif:=
+ >=media-libs/wxsvg-1.3:=
+ >=media-video/dvdauthor-0.7.1
+ >=media-video/xine-ui-0.99.7
+ virtual/cdrtools
+ libav? ( >=media-video/libav-9:0=[encode] )
+ !libav? ( >=media-video/ffmpeg-2.6:0=[encode] )
+ virtual/jpeg:0
+ x11-libs/wxGTK:${WX_GTK_VER}=[gstreamer,X]
+ sys-apps/dbus
+ udev? ( >=virtual/libudev-215:= )"
+RDEPEND="${COMMON_DEPEND}
+ >=app-cdr/dvdisaster-0.72.4
+ media-video/mjpegtools"
+DEPEND="${COMMON_DEPEND}
+ app-arch/zip
+ app-text/xmlto
+ sys-devel/gettext
+ virtual/yacc
+ virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ need-wxwidgets unicode
+ # disable obsolete GNOME 2.x libraries wrt #508854
+ sed -i -e '/PKG_CONFIG/s:libgnomeui-2.0:dIsAbLeAuToMaGiC&:' configure || die
+ # rmdir: failed to remove `tempfoobar': Directory not empty
+ sed -i -e '/rmdir "$$t"/d' docs/Makefile.in || die
+ # fix underlinking wrt #367863
+ sed -i -e 's:@LIBS@:& -ljpeg:' wxVillaLib/Makefile.in || die
+ # silence desktop-file-validate QA check
+ sed -i \
+ -e '/Icon/s:.png::' -e '/^Encoding/d' -e '/Categories/s:Application;::' \
+ data/dvdstyler.desktop || die
+}
+
+src_configure() {
+ econf \
+ --docdir=/usr/share/doc/${PF} \
+ $(use_enable debug) \
+ --with-wx-config=${WX_CONFIG}
+}
+
+src_install() {
+ default
+ rm -f "${ED}"/usr/share/doc/${PF}/{COPYING*,INSTALL*}
+}